Bug 439114 - Closes when hitting the print button
Closes when hitting the print button
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-26 22:27 EDT by Mike Chambers
Modified: 2008-04-10 07:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-10 07:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Print error via bug buddy (12.88 KB, text/plain)
2008-03-30 10:31 EDT, Mike Chambers
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 525128 None None None Never

  None (edit)
Description Mike Chambers 2008-03-26 22:27:19 EDT
Description of problem:While highlighting an email, and then hitting the print
button, the program closes.

Version-Release number of selected component (if applicable):

How reproducible:Almost always

Steps to Reproduce:
1.Open evolution
2.highlight an email but don't open
3.Click on the print button
Actual results:The program closes/exits/crashes

Expected results:Should print the email/message

Additional info:After today's updates, it doesn't seem to do it all the time
now. Just on occasion, so I don't know if a particular type code in the email or
whatever else might be causing it.
Comment 1 Matthew Barnes 2008-03-26 23:41:31 EDT
When Evolution closes do you get a Bug Buddy dialog?  If so, can you post the
Bug Buddy report here (with debugging symbols)?

Also, have you noticed whether this occurs for text/html messages or text/plain
messages or both?
Comment 2 Mike Chambers 2008-03-27 06:41:20 EDT
No dialog, it just closes with nothing left.

It does it on both I guess.  I tested on few emails to the list, and it did it 3
times out of 10.  Going back to those same emails after reopening evo, and it
didn't close this time, as it gave me the print dialog.  I did try it on a
couple of html ones, from espn and Dallas News sites, and they didn't close it.

So right now, no idea what is causing it.
Comment 3 Matthew Barnes 2008-03-27 07:55:38 EDT
Maybe try running Evolution from a terminal and look for clues on stdout/stderr.
 What you're describing sounds like it might be a missing library symbol.

I'll try reproducing this for myself later today.
Comment 4 Mike Chambers 2008-03-27 18:41:18 EDT
Opened it via gnome-terminal and finally got it to close on me, but no debug
messages/errors/nothing at all.  See below..

[mike@scrappy ~]$ evolution
CalDAV Eplugin starting up ...
** (evolution:5066): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:5066): DEBUG: mailto URL program: evolution
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
[mike@scrappy ~]$ 

Everything above cept my last prompt was there while it was running.  Went
straight to command prompt once it closed with no messages.
Comment 5 Matthew Barnes 2008-03-27 19:53:18 EDT
Huh, that's bizarre.

Not suprisingly I haven't been able to reproduce this for myself yet, but I'll
scout around for other similar sounding bug reports.
Comment 6 Mike Chambers 2008-03-27 20:02:03 EDT
HAHAHAHAHA, kinda ironic, but when I clicked on this email, I accidentally hit
the print button, and evo closed.

Anyway, I just kept going through emails and randomly highlighting and hitting
print to try n get it to close.
Comment 7 Milan Crha 2008-03-28 04:35:35 EDT
Maybe when you've running evolution through gdb, then in time of crash it will
stop and show what's going wrong. You'll be also able to type "thread apply all
bt" and we will see where it get crashed, and maybe why too.
Comment 8 Mike Chambers 2008-03-30 10:30:17 EDT
Ok, after yesterday's updates, and today again accidentally clicking on print
button, got a close/crash, but this time bug buddy was used.  Will attach it's
report, as well as the url to it being pointed upstread too.
Comment 9 Mike Chambers 2008-03-30 10:31:12 EDT
Created attachment 299625 [details]
Print error via bug buddy
Comment 10 Matthew Barnes 2008-03-30 11:57:25 EDT
Awesome, thanks for the stack trace.  The crash is in the CUPS backend of
GtkPrint, so reassigning to gtk2.  Do you see these crashes when trying to print
from other GNOME applications like GEdit or Evince?
Comment 11 Mike Chambers 2008-03-30 14:04:46 EDT
When printing pdf files, I sometimes get the program to do that.  Mostly adobe
reader as I use that.
Comment 12 Marek Kašík 2008-04-07 05:54:37 EDT
Hello Mike,
I have been trying to reproduce this bug but with no success. Could you install
gtk with debuginfo and try to run evolution inside of gdb? And could you send me
"thread apply all bt" result of crash?
You can install gtk with debuginfo via "debuginfo-install gtk2" command.


Comment 13 Marek Kašík 2008-04-07 06:15:03 EDT
And again. Could you do that for evolution too? I see that the log shows number
of  lines but not for all libraries.

  Thank you

Comment 14 Marek Kašík 2008-04-07 15:11:15 EDT
I reproduced the bug and I fixed it. There was problem with function
cups_parse_user_default_printer() (64bit specific). This function calls
g_fopen() but there was no declaration of the g_fopen() (missing #define
I committed changes into cvs and I built it with koji.
Thank you for reporting this bug.


Comment 15 Marek Kašík 2008-04-07 15:21:50 EDT
Small correction of previous comment. There should be #include <glib/gstdio.h>
of course. :-)

Comment 16 Matthew Barnes 2008-04-07 15:38:25 EDT
Nice catch.
Comment 17 Marek Kašík 2008-04-10 07:32:06 EDT
I'm closing this bug with resolution RAWHIDE.



Note You need to log in before you can comment on or make changes to this bug.